Skip to main content
GET
/
sent_sms_messages
/
{id}
Retrieve a sent SMS message
curl --request GET \
  --url https://api.pocketflows.com/sent_sms_messages/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "<string>",
  "created_at": "<string>",
  "customer": "<string>",
  "business": "<string>",
  "to_phone_number": "<string>",
  "message": "<string>",
  "mms": true,
  "num_segments": 123,
  "sent_at": "<string>",
  "twilio_message_sid": "<string>",
  "telgorithm_message_sid": "<string>",
  "campaign": "<string>",
  "trigger": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the sent SMS message

Response

200 - application/json

A SentSmsMessage object

id
string
required

The ID of the sent SMS message

created_at
string
required

The time when the SMS was created in ISO 8601 format

customer
string | null
required

The ID of the customer that was sent the SMS message

business
string | null
required

The ID of the business that sent the text message

to_phone_number
string
required

The phone number the SMS was sent to

message
string
required

The content of the SMS message

mms
boolean
required

Whether the text message went over MMS, e.g. included an image

num_segments
number
required

The number of text segments used

sent_at
string | null
required

The time when the SMS was sent in ISO 8601 format

twilio_message_sid
string

Twilio's returned message SID

telgorithm_message_sid
string

Telgorithm's returned message SID

campaign
string

The ID of the campaign that sent the SMS message. Only present if the SMS message was sent as part of a campaign

trigger
string

The ID of the trigger that sent the SMS message. Only present if the SMS message was sent as part of a trigger